package org.gcube.portlets.user.vreyard;

import java.io.IOException;

import javax.portlet.PortletException;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.gcube.common.authorization.library.provider.SecurityTokenProvider;
import org.gcube.common.scope.api.ScopeProvider;
import org.gcube.infrastructure.detachedres.detachedreslibrary.server.DetachedREsClient;
import org.gcube.infrastructure.detachedres.detachedreslibrary.shared.re.DetachedREs;

import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.util.PrefsPropsUtil;
import com.liferay.portal.util.PortalUtil;
import com.liferay.util.bridges.mvc.MVCPortlet;

/**
 * Portlet implementation class VreYard
 */
public class VreYard extends MVCPortlet {
	private static com.liferay.portal.kernel.log.Log _log = LogFactoryUtil.getLog(VreYard.class);

	//these props are read from portal.ext.properties file
	public static final String DEFAULT_USER_PROPERTY = "d4science.publicportlets.user";
	public static final String DEFAULT_CONTEXT_PROPERTY = "d4science.publicportlets.context";
	public static final String DEFAULT_TOKEN_PROPERTY = "d4science.publicportlets.token";
	
	
	
	public static final String DEFAULT_SCOPE_PROPERTY = "/d4science.research-infrastructures.eu/";
	public static final String DEFAULT_TOKEN = "8effc529-44ec-4895-b727-ed0dc14ad113-843339462";
	
	public static final String DEFAULT_ROLE = "OrganizationMember";
	
	@Override
	public void render(RenderRequest renderRequest, RenderResponse renderResponse) throws PortletException, IOException {

		try {
			
			String context = PrefsPropsUtil.getString(PortalUtil.getCompanyId(renderRequest), DEFAULT_CONTEXT_PROPERTY);
			String token = PrefsPropsUtil.getString(PortalUtil.getCompanyId(renderRequest), DEFAULT_TOKEN_PROPERTY);	
			
			ScopeProvider.instance.set(context);
			SecurityTokenProvider.instance.set(token);
			DetachedREsClient detachedREsClient = new DetachedREsClient();
			DetachedREs detachedREs = detachedREsClient.getDetachedREs();
			renderRequest.setAttribute("thedetachedREs", detachedREs);

		} catch (Exception e) {
			_log.error(e.getLocalizedMessage(), e);

		}
		
		
		//renderRequest.setAttribute("theGateways", theGateways);
		super.render(renderRequest, renderResponse);		

	}


}
